astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- PolynomialModel

# PolynomialModel

class `astropy.modeling.polynomial.``PolynomialModel`(degree, n_inputs=1, n_outputs=1, param_dim=1, **params)

  Bases: `astropy.modeling.polynomial.PolynomialBase`

  Base class for polynomial models.

  Its main purpose is to determine how many coefficients are needed based on the polynomial order and dimension and to provide their default values, names and ordering.

  Attributes Summary

  `degree` | TODO: Docstring for me
  `n_inputs` | The number of input variables to model evaluation.
  `n_outputs` | The number of outputs returned when model is evaluated.

  Methods Summary

  `get_num_coeff`(ndim) | Return the number of coefficients in one parameter set

  Attributes Documentation

  `degree`

    TODO: Docstring for me

  `n_inputs`

    The number of input variables to model evaluation.

  `n_outputs`

    The number of outputs returned when model is evaluated.

  Methods Documentation

  `get_num_coeff`(ndim)

    Return the number of coefficients in one parameter set